# Interface ForFormArrayItemsDirectiveContext

interface ForFormArrayItemsDirectiveContext {
$implicit: UntypedFormGroup;
array: UntypedFormArray;
even: boolean;
first: boolean;
index: number;
last: boolean;
odd: boolean;
}

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:26

#####
Index

### Properties

$implicit
array
even
first
index
last
odd

## Properties

### $implicit

$implicit: UntypedFormGroup

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:27

### array

array: UntypedFormArray

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:33

### even

even: boolean

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:31

### first

first: boolean

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:30

### index

index: number

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:28

### last

last: boolean

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:29

### odd

odd: boolean

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:32